html {
	touch-action: none
}
body {
	background-color: #222222;
	min-height: 100vh;
	height: 100%;
	min-width: 100%;
	margin: 0;
	touch-action: none
}

#myapp {
	position: relative;
	width: 100%;
	height: 100%;
}



.main-page-container {
	display: block;
	margin: 0 auto;
	width: 100%;
	padding-top: 2rem;
	min-height: 100vh;
	max-height: 100vh;
	overflow: auto;
}

.rpgui-content ::-webkit-scrollbar,
.rpgui-content::-webkit-scrollbar {
  width: 10px !important;
}

.main-page-content {
	display: block;
}

.badge {
	background: #7d4e35;
	color: aliceblue;
	border-radius: 1rem;
	padding: .5rem 1rem;
	margin: 0;
	
}

.badge.dblue {	
	background: #4f5157;
}

@media screen and (min-width: 920px){
	.main-page-container {
		padding-top: 1rem;
		max-width: 1366px;
	}


	.main-page-content {
		display: flex;
		justify-content: space-between;
		align-items: flex-start;
	}
	.main-page-content .col {
		flex-grow: 1;
	}
	
}

/* input:-webkit-autofill,
input:-webkit-autofill:focus,
input:-internal-autofill-selected {
	appearance: none !important;
	border-width: 7px 7px 7px 7px;

	background-image: url(img/select-background-image.png) !important;
	background-repeat: repeat repeat;
    background-clip: padding-box;
    background-origin: padding-box;
    background-position: center;
	background-color: transparent !important;
	box-shadow: 15px 80px 30px inset #7d4e35;
	color: white !important;
} */

/* override */
.rpgui-content {
	position: relative;
	width: 100%;
	height: 100%;
	background-color: #222222;
	overflow: auto;
}

.rpgui-container {
	position: relative;
	min-width: 300px;
}

/* */

/* HELPERS */
.center {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.d-flex {
	display: flex;
}
.justify-center {
	justify-content: center;
}
.justify-between {
	justify-content: space-between;
}
.align-center {
	align-items: center;
}

.text-center {
	text-align: center !important;
}
.text-left {
	text-align: left !important;
}
.text-right {
	text-align: right !important;
}

.t-10 { font-size: 10px !important; }
.t-12 { font-size: 12px !important; }
.t-14 { font-size: 14px !important; }
.t-16 { font-size: 16px !important; }
.t-18 { font-size: 18px !important; }
.t-20 { font-size: 20px !important; }
.t-22 { font-size: 22px !important; }
.t-24 { font-size: 24px !important; }
.no_decoration {
	text-decoration: none !important;
}

.coral-text-color {
	color: #ddaf9d !important;
}

.border-buttom-coral {
	padding: .2rem 0 !important;
	border-bottom: 1px solid #ddaf9d;
}


input, 
input:focus,
input:active {
	font-size: 16px;
}

/*FLOAT MENU*/
.float-menu-wrapper {
	position: fixed;
	right: 0;
	bottom: 0;
	width: auto;
	background-color: aqua;
	z-index: 100;
}

.float-menu-wrapper .float-menu-btn {
	width: 50px;
	height: 50px;
	border-radius: 50%;
	background-color: blue;
	position: absolute;
	right: 1rem;
	bottom: 1rem;
}

.float-menu-wrapper .float-menu-btn div.rpgui-icon {
	width: 100%;
	height: 100%;
}

.float-menu-wrapper .float-menu {
	background-color: #523a31;
	position: absolute;
	right: 3vw;
	top: -98vh;
	height: 96vh;
	width: 94vw;
	z-index: 101;
	border-radius: 8px;
}

.float-menu-wrapper .float-menu .float-menu__cotent {
	position: relative;
	padding: 1.5rem;
	padding-top: 2rem; 
}

.float-menu-wrapper .float-menu .float-menu__cotent .float-menu__close {
	position: absolute;
	top: 1rem;
	right: 1rem;
	width: 30px;
	height: 30px;
	background-color: #939393;
	border-radius: 50%;
}

.float-menu__list-item {
	font-size: 18px;
	color: coral;
	padding: .5rem 0;
	margin: .5rem 0;

}

.mb-1 { margin-bottom: .25rem; }
.mb-2 { margin-bottom: .50rem; }
.mb-3 { margin-bottom: .75rem; }
.mb-4 { margin-bottom: 1rem; }
.mb-5 { margin-bottom: 1.75rem; }
.mt-1 { margin-top: .25rem; }
.mt-2 { margin-top: .50rem; }
.mt-3 { margin-top: .75rem; }
.mt-4 { margin-top: 1rem; }
.mt-5 { margin-top: 1.75rem; }



@supports (-webkit-touch-callout: none) {
	/* CSS specific to iOS devices */ 
	.float-menu-wrapper .float-menu {
		right: 0;
		top: -87vh;
		height: 100vh;
		width: 100vw;
		z-index: 101;
		border-radius: 8px;
	}
  }
  
  @supports not (-webkit-touch-callout: none) {
	/* CSS for other than iOS devices */ 
  }